<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Models\Common\**" />
    <Content Remove="Models\Common\**" />
    <EmbeddedResource Remove="Models\Common\**" />
    <None Remove="Models\Common\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AntiXSS" Version="4.3.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
    <PackageReference Include="HtmlSanitizer" Version="8.0.843" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.25">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\TaskTracker.Data\TaskTracker.Data.csproj" />
    <ProjectReference Include="..\TaskTracker.Domain\TaskTracker.Core.csproj" />
    <ProjectReference Include="..\TaskTracker.Service\TaskTracker.Service.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\uploads\" />
  </ItemGroup>

</Project>
